QGIS Application - Bug report #10567
ERROR in attributes cells in spatialite layer table
2014-06-12 07:42 AM - enrico ferreguti

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/SpatialLite

Affected QGIS version:2.2.0 Regression?: No
Operating System: windows xp Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 18974
Description

When | load a spatialite view as layer | see it right on map and | can get info, but when | open the attributes table | get always ERROR
values. The view was create with Qspatialite plugin.

History

#1 - 2014-06-12 09:40 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Data Provider/Spatial.ite

it is a plugin or QGIS issue? what happens if you create the view in DB manager? or from the SL command line? or SL gui?

#2 - 2014-07-24 06:15 PM - Antonio Locandro

Having the same issue, it is a QGIS issue as | used the spatialite icon to add the layer. | created the view outside of QGIS directly using spatialite_gui so
this means the problem is within QGIS.

When you use the identify results button you get the table information but if you open the attribute table what you get is ERROR in all the cells.

When | try to select one single feature from the view using the select tool all the features get selected, so this may be also related to this issue.

#3 - 2014-07-28 08:30 AM - Giovanni Manghi

Antonio Locandro wrote:

Having the same issue, it is a QGIS issue as | used the spatialite icon to add the layer. | created the view outside of QGIS directly using
spatialite_gui so this means the problem is within QGIS.

When you use the identify results button you get the table information but if you open the attribute table what you get is ERROR in all the cells.

When I try to select one single feature from the view using the select tool all the features get selected, so this may be also related to this issue.

| have just tested on QGIS 2.4 on Linux and | can't replicate the same issue. | used a SL database created empty in QGIS 2.4 and imported a shapefile in
it with DB manager. The view then was done using spatialite_gui.

Please attach the SL db that contains the layer and the view.
#4 - 2014-10-11 07:33 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
